summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrederic Bezies2017-09-09 12:09:06 +0200
committerFrederic Bezies2017-09-09 12:09:06 +0200
commit5f28c1a31487335b93c46e0bb0641ee2fca5bb89 (patch)
tree3a71a4b6574cfaf1736aa1f7b2dd1944f36bdf75
downloadaur-5f28c1a31487335b93c46e0bb0641ee2fca5bb89.tar.gz
initial AUR import
-rw-r--r--.SRCINFO41
-rw-r--r--PKGBUILD51
-rw-r--r--pamac.install7
3 files changed, 99 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7ec3ccd5ee8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,41 @@
+# Generated by mksrcinfo v8
+# Sat Sep 9 10:08:58 UTC 2017
+pkgbase = pamac-aur-git
+ pkgdesc = A Gtk3 frontend for libalpm - git version
+ pkgver = v5.1.1.r2.g80ea4ea
+ pkgrel = 1
+ url = https://github.com/manjaro/pamac
+ install = pamac.install
+ arch = any
+ license = GPL3
+ makedepends = gettext
+ makedepends = itstool
+ makedepends = vala>=0.36
+ depends = glib2>=2.42
+ depends = json-glib
+ depends = libsoup
+ depends = dbus-glib
+ depends = polkit
+ depends = vte3>=0.38
+ depends = gtk3>=3.22
+ depends = libnotify
+ depends = desktop-file-utils
+ depends = pacman>=5.0
+ depends = pacman<5.1
+ depends = gnutls>=3.4
+ depends = appstream-glib
+ depends = archlinux-appstream-data
+ optdepends = polkit-gnome: needed for authentification in Cinnamon, Gnome
+ optdepends = lxsession: needed for authentification in Xfce, LXDE etc.
+ optdepends = pamac-tray-appindicator: tray icon for KDE
+ provides = pamac
+ provides = pamac-aur
+ conflicts = pamac
+ conflicts = pamac-aur
+ options = !emptydirs
+ backup = etc/pamac.conf
+ source = git+https://github.com/manjaro/pamac.git
+ sha256sums = SKIP
+
+pkgname = pamac-aur-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..287c2ab09c8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,51 @@
+# Maintainer: Frederic Bezies <fredbezies at gmail dot com>
+# Contributor: Zeph <zeph33@gmail.com>
+# Based on the PKGBUILD created by Zeph <zeph33@gmail.com>
+
+pkgname=pamac-aur-git
+_pkgname=pamac
+pkgver=v5.1.1.r2.g80ea4ea
+_pkgver=6.0
+pkgrel=1
+pkgdesc="A Gtk3 frontend for libalpm - git version"
+arch=('any')
+url="https://github.com/manjaro/pamac"
+license=('GPL3')
+depends=('glib2>=2.42' 'json-glib' 'libsoup' 'dbus-glib' 'polkit' 'vte3>=0.38' 'gtk3>=3.22' 'libnotify' 'desktop-file-utils' 'pacman>=5.0' 'pacman<5.1' 'gnutls>=3.4' 'appstream-glib' 'archlinux-appstream-data')
+optdepends=('polkit-gnome: needed for authentification in Cinnamon, Gnome'
+ 'lxsession: needed for authentification in Xfce, LXDE etc.'
+ 'pamac-tray-appindicator: tray icon for KDE')
+makedepends=('gettext' 'itstool' 'vala>=0.36')
+backup=('etc/pamac.conf')
+conflicts=('pamac' 'pamac-aur')
+provides=('pamac' 'pamac-aur')
+options=(!emptydirs)
+install=pamac.install
+
+source=(git+https://github.com/manjaro/pamac.git)
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $_pkgname
+ git describe --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
+prepare() {
+ # adjust version string
+ cd "$_pkgname"
+ sed -i -e "s|\"$_pkgver\"|\"$pkgver-$pkgrel\"|g" src/manager_window.vala
+ # patches here
+}
+
+build() {
+ cd "$_pkgname"
+
+ # build
+ make all
+}
+
+package() {
+ cd "$_pkgname"
+ make prefix="$pkgdir"/usr sysconfdir="$pkgdir"/etc install
+}
+# vim:set ts=2 sw=2 et:
diff --git a/pamac.install b/pamac.install
new file mode 100644
index 00000000000..471206c11b1
--- /dev/null
+++ b/pamac.install
@@ -0,0 +1,7 @@
+post_install() {
+ printf '==> An authentication agent is required\n'
+ printf ' Cinnamon, Deepin, GNOME, GNOME Flashback, KDE, LXDE, LXQt, MATE and Xfce\n'
+ printf ' have an authentication agent already.\n'
+ printf ' See https://wiki.archlinux.org/index.php/Polkit#Authentication_agents\n'
+ printf ' for other desktop environments.\n'
+}